Bug 1014837 - oo-admin-chk sees problems with jenkins ssh keys that oo-admin-repair doesn't fix
oo-admin-chk sees problems with jenkins ssh keys that oo-admin-repair doesn't...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 17:47 EDT by Sten Turpin
Modified: 2015-05-14 20:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:33:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sten Turpin 2013-10-02 17:47:02 EDT
Description of problem: on INT environment, oo-admin-chk --level 1 is logging errors like: Gear '52453af66cec0e3e1c0001d8' has key with name 'jenkins' in mongo but not on the node. Running oo-admin-repair --ssh-keys does not correct the problem. Of the 37 apps being flagged on INT, only 4 actually have jenkins cartridges. 


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. run oo-admin-chk --level 1 on INT (also appears on STG and PROD, but has had less investigation)

Actual results: errors on ssh keys that oo-admin-repair is not correcting


Expected results: oo-admin-repair should be able to correct any missing ssh keys, or log a message explaining why no cleanup was attempted. Further, it's possible these entries in mongo are erroneous. 


Additional info:
Comment 2 Jianwei Hou 2013-10-09 01:39:58 EDT
Verified on devenv_3874

Create jenkins app and applications with jenkins, modify the jenkins system ssh key content to make oo-admin-chk fail, the repair it with oo-admin-repair, the mismatched sshkey can be repaired.

Note You need to log in before you can comment on or make changes to this bug.